(function () {

/* Imports */
var Meteor = Package.meteor.Meteor;
var global = Package.meteor.global;
var meteorEnv = Package.meteor.meteorEnv;
var ECMAScript = Package.ecmascript.ECMAScript;
var meteorInstall = Package.modules.meteorInstall;
var Buffer = Package.modules.Buffer;
var process = Package.modules.process;
var Symbol = Package['ecmascript-runtime'].Symbol;
var Map = Package['ecmascript-runtime'].Map;
var Set = Package['ecmascript-runtime'].Set;
var meteorBabelHelpers = Package['babel-runtime'].meteorBabelHelpers;
var Promise = Package.promise.Promise;

/* Package-scope variables */
var PNGlib, Identicon, result;

var require = meteorInstall({"node_modules":{"meteor":{"sandstorm-identicons":{"pnglib.js":function(){

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//                                                                                                                 //
// packages/sandstorm-identicons/pnglib.js                                                                         //
//                                                                                                                 //
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
                                                                                                                   //
/**                                                                                                                //
* A handy class to calculate color values.                                                                         //
*                                                                                                                  //
* @version 1.0                                                                                                     //
* @author Robert Eisele <robert@xarg.org>                                                                          //
* @copyright Copyright (c) 2010, Robert Eisele                                                                     //
* @link http://www.xarg.org/2010/03/generate-client-side-png-files-using-javascript/                               //
* @license http://www.opensource.org/licenses/bsd-license.php BSD License                                          //
*                                                                                                                  //
*/                                                                                                                 //
                                                                                                                   //
// (Used by identicon.js.)                                                                                         //
// (Trivially modified for Meteor context by Kenton Varda.)                                                        //
// jscs:disable                                                                                                    //
                                                                                                                   //
PNGlib = function () {                                                                                             // 16
                                                                                                                   //
	// helper functions for that ctx                                                                                  //
	function write(buffer, offs) {                                                                                    // 19
		for (var i = 2; i < arguments.length; i++) {                                                                     // 20
			for (var j = 0; j < arguments[i].length; j++) {                                                                 // 21
				buffer[offs++] = arguments[i].charAt(j);                                                                       // 22
			}                                                                                                               // 23
		}                                                                                                                // 24
	}                                                                                                                 // 25
                                                                                                                   //
	function byte2(w) {                                                                                               // 27
		return String.fromCharCode(w >> 8 & 255, w & 255);                                                               // 28
	}                                                                                                                 // 29
                                                                                                                   //
	function byte4(w) {                                                                                               // 31
		return String.fromCharCode(w >> 24 & 255, w >> 16 & 255, w >> 8 & 255, w & 255);                                 // 32
	}                                                                                                                 // 33
                                                                                                                   //
	function byte2lsb(w) {                                                                                            // 35
		return String.fromCharCode(w & 255, w >> 8 & 255);                                                               // 36
	}                                                                                                                 // 37
                                                                                                                   //
	return function (width, height, depth) {                                                                          // 39
                                                                                                                   //
		this.width = width;                                                                                              // 41
		this.height = height;                                                                                            // 42
		this.depth = depth;                                                                                              // 43
                                                                                                                   //
		// pixel data and row filter identifier size                                                                     //
		this.pix_size = height * (width + 1);                                                                            // 46
                                                                                                                   //
		// deflate header, pix_size, block headers, adler32 checksum                                                     //
		this.data_size = 2 + this.pix_size + 5 * Math.floor((0xfffe + this.pix_size) / 0xffff) + 4;                      // 49
                                                                                                                   //
		// offsets and sizes of Png chunks                                                                               //
		this.ihdr_offs = 0; // IHDR offset and size                                                                      // 52
		this.ihdr_size = 4 + 4 + 13 + 4;                                                                                 // 53
		this.plte_offs = this.ihdr_offs + this.ihdr_size; // PLTE offset and size                                        // 54
		this.plte_size = 4 + 4 + 3 * depth + 4;                                                                          // 55
		this.trns_offs = this.plte_offs + this.plte_size; // tRNS offset and size                                        // 56
		this.trns_size = 4 + 4 + depth + 4;                                                                              // 57
		this.idat_offs = this.trns_offs + this.trns_size; // IDAT offset and size                                        // 58
		this.idat_size = 4 + 4 + this.data_size + 4;                                                                     // 59
		this.iend_offs = this.idat_offs + this.idat_size; // IEND offset and size                                        // 60
		this.iend_size = 4 + 4 + 4;                                                                                      // 61
		this.buffer_size = this.iend_offs + this.iend_size; // total PNG size                                            // 62
                                                                                                                   //
		this.buffer = new Array();                                                                                       // 64
		this.palette = new Object();                                                                                     // 65
		this.pindex = 0;                                                                                                 // 66
                                                                                                                   //
		var _crc32 = new Array();                                                                                        // 68
                                                                                                                   //
		// initialize buffer with zero bytes                                                                             //
		for (var i = 0; i < this.buffer_size; i++) {                                                                     // 71
			this.buffer[i] = "\x00";                                                                                        // 72
		}                                                                                                                // 73
                                                                                                                   //
		// initialize non-zero elements                                                                                  //
		write(this.buffer, this.ihdr_offs, byte4(this.ihdr_size - 12), 'IHDR', byte4(width), byte4(height), "\x08\x03");
		write(this.buffer, this.plte_offs, byte4(this.plte_size - 12), 'PLTE');                                          // 77
		write(this.buffer, this.trns_offs, byte4(this.trns_size - 12), 'tRNS');                                          // 78
		write(this.buffer, this.idat_offs, byte4(this.idat_size - 12), 'IDAT');                                          // 79
		write(this.buffer, this.iend_offs, byte4(this.iend_size - 12), 'IEND');                                          // 80
                                                                                                                   //
		// initialize deflate header                                                                                     //
		var header = 8 + (7 << 4) << 8 | 3 << 6;                                                                         // 83
		header += 31 - header % 31;                                                                                      // 84
                                                                                                                   //
		write(this.buffer, this.idat_offs + 8, byte2(header));                                                           // 86
                                                                                                                   //
		// initialize deflate block headers                                                                              //
		for (var i = 0; (i << 16) - 1 < this.pix_size; i++) {                                                            // 89
			var size, bits;                                                                                                 // 90
			if (i + 0xffff < this.pix_size) {                                                                               // 91
				size = 0xffff;                                                                                                 // 92
				bits = "\x00";                                                                                                 // 93
			} else {                                                                                                        // 94
				size = this.pix_size - (i << 16) - i;                                                                          // 95
				bits = "\x01";                                                                                                 // 96
			}                                                                                                               // 97
			write(this.buffer, this.idat_offs + 8 + 2 + (i << 16) + (i << 2), bits, byte2lsb(size), byte2lsb(~size));       // 98
		}                                                                                                                // 99
                                                                                                                   //
		/* Create crc32 lookup table */                                                                                  //
		for (var i = 0; i < 256; i++) {                                                                                  // 102
			var c = i;                                                                                                      // 103
			for (var j = 0; j < 8; j++) {                                                                                   // 104
				if (c & 1) {                                                                                                   // 105
					c = -306674912 ^ c >> 1 & 0x7fffffff;                                                                         // 106
				} else {                                                                                                       // 107
					c = c >> 1 & 0x7fffffff;                                                                                      // 108
				}                                                                                                              // 109
			}                                                                                                               // 110
			_crc32[i] = c;                                                                                                  // 111
		}                                                                                                                // 112
                                                                                                                   //
		// compute the index into a png for a given pixel                                                                //
		this.index = function (x, y) {                                                                                   // 115
			var i = y * (this.width + 1) + x + 1;                                                                           // 116
			var j = this.idat_offs + 8 + 2 + 5 * Math.floor(i / 0xffff + 1) + i;                                            // 117
			return j;                                                                                                       // 118
		};                                                                                                               // 119
                                                                                                                   //
		// convert a color and build up the palette                                                                      //
		this.color = function (red, green, blue, alpha) {                                                                // 122
                                                                                                                   //
			alpha = alpha >= 0 ? alpha : 255;                                                                               // 124
			var color = ((alpha << 8 | red) << 8 | green) << 8 | blue;                                                      // 125
                                                                                                                   //
			if (typeof this.palette[color] == "undefined") {                                                                // 127
				if (this.pindex == this.depth) return "\x00";                                                                  // 128
                                                                                                                   //
				var ndx = this.plte_offs + 8 + 3 * this.pindex;                                                                // 130
                                                                                                                   //
				this.buffer[ndx + 0] = String.fromCharCode(red);                                                               // 132
				this.buffer[ndx + 1] = String.fromCharCode(green);                                                             // 133
				this.buffer[ndx + 2] = String.fromCharCode(blue);                                                              // 134
				this.buffer[this.trns_offs + 8 + this.pindex] = String.fromCharCode(alpha);                                    // 135
                                                                                                                   //
				this.palette[color] = String.fromCharCode(this.pindex++);                                                      // 137
			}                                                                                                               // 138
			return this.palette[color];                                                                                     // 139
		};                                                                                                               // 140
                                                                                                                   //
		// output a PNG string, Base64 encoded                                                                           //
		this.getBase64 = function () {                                                                                   // 143
                                                                                                                   //
			var s = this.getDump();                                                                                         // 145
                                                                                                                   //
			var ch = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=";                                   // 147
			var c1, c2, c3, e1, e2, e3, e4;                                                                                 // 148
			var l = s.length;                                                                                               // 149
			var i = 0;                                                                                                      // 150
			var r = "";                                                                                                     // 151
                                                                                                                   //
			do {                                                                                                            // 153
				c1 = s.charCodeAt(i);                                                                                          // 154
				e1 = c1 >> 2;                                                                                                  // 155
				c2 = s.charCodeAt(i + 1);                                                                                      // 156
				e2 = (c1 & 3) << 4 | c2 >> 4;                                                                                  // 157
				c3 = s.charCodeAt(i + 2);                                                                                      // 158
				if (l < i + 2) {                                                                                               // 159
					e3 = 64;                                                                                                      // 159
				} else {                                                                                                       // 159
					e3 = (c2 & 0xf) << 2 | c3 >> 6;                                                                               // 159
				}                                                                                                              // 159
				if (l < i + 3) {                                                                                               // 160
					e4 = 64;                                                                                                      // 160
				} else {                                                                                                       // 160
					e4 = c3 & 0x3f;                                                                                               // 160
				}                                                                                                              // 160
				r += ch.charAt(e1) + ch.charAt(e2) + ch.charAt(e3) + ch.charAt(e4);                                            // 161
			} while ((i += 3) < l);                                                                                         // 162
			return r;                                                                                                       // 163
		};                                                                                                               // 164
                                                                                                                   //
		// output a PNG string                                                                                           //
		this.getDump = function () {                                                                                     // 167
                                                                                                                   //
			// compute adler32 of output pixels + row filter bytes                                                          //
			var BASE = 65521; /* largest prime smaller than 65536 */                                                        // 170
			var NMAX = 5552; /* NMAX is the largest n such that 255n(n+1)/2 + (n+1)(BASE-1) <= 2^32-1 */                    // 171
			var s1 = 1;                                                                                                     // 172
			var s2 = 0;                                                                                                     // 173
			var n = NMAX;                                                                                                   // 174
                                                                                                                   //
			for (var y = 0; y < this.height; y++) {                                                                         // 176
				for (var x = -1; x < this.width; x++) {                                                                        // 177
					s1 += this.buffer[this.index(x, y)].charCodeAt(0);                                                            // 178
					s2 += s1;                                                                                                     // 179
					if ((n -= 1) == 0) {                                                                                          // 180
						s1 %= BASE;                                                                                                  // 181
						s2 %= BASE;                                                                                                  // 182
						n = NMAX;                                                                                                    // 183
					}                                                                                                             // 184
				}                                                                                                              // 185
			}                                                                                                               // 186
			s1 %= BASE;                                                                                                     // 187
			s2 %= BASE;                                                                                                     // 188
			write(this.buffer, this.idat_offs + this.idat_size - 8, byte4(s2 << 16 | s1));                                  // 189
                                                                                                                   //
			// compute crc32 of the PNG chunks                                                                              //
			function crc32(png, offs, size) {                                                                               // 192
				var crc = -1;                                                                                                  // 193
				for (var i = 4; i < size - 4; i += 1) {                                                                        // 194
					crc = _crc32[(crc ^ png[offs + i].charCodeAt(0)) & 0xff] ^ crc >> 8 & 0x00ffffff;                             // 195
				}                                                                                                              // 196
				write(png, offs + size - 4, byte4(crc ^ -1));                                                                  // 197
			}                                                                                                               // 198
                                                                                                                   //
			crc32(this.buffer, this.ihdr_offs, this.ihdr_size);                                                             // 200
			crc32(this.buffer, this.plte_offs, this.plte_size);                                                             // 201
			crc32(this.buffer, this.trns_offs, this.trns_size);                                                             // 202
			crc32(this.buffer, this.idat_offs, this.idat_size);                                                             // 203
			crc32(this.buffer, this.iend_offs, this.iend_size);                                                             // 204
                                                                                                                   //
			// convert PNG to string                                                                                        //
			return "\211PNG\r\n\032\n" + this.buffer.join('');                                                              // 207
		};                                                                                                               // 208
	};                                                                                                                // 209
}();                                                                                                               // 211
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

},"identicon.js":function(require){

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//                                                                                                                 //
// packages/sandstorm-identicons/identicon.js                                                                      //
//                                                                                                                 //
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
                                                                                                                   //
/**                                                                                                                //
 * Identicon.js v1.0                                                                                               //
 * http://github.com/stewartlord/identicon.js                                                                      //
 *                                                                                                                 //
 * Requires PNGLib                                                                                                 //
 * http://www.xarg.org/download/pnglib.js                                                                          //
 *                                                                                                                 //
 * Copyright 2013, Stewart Lord                                                                                    //
 * Released under the BSD license                                                                                  //
 * http://www.opensource.org/licenses/bsd-license.php                                                              //
 */                                                                                                                //
                                                                                                                   //
// (Trivially modified for Meteor context by Kenton Varda.)                                                        //
// jscs:disable                                                                                                    //
                                                                                                                   //
Identicon = function Identicon(hash, size, margin) {                                                               // 16
    this.hash = hash;                                                                                              // 17
    this.size = size || 64;                                                                                        // 18
    this.margin = margin || .08;                                                                                   // 19
};                                                                                                                 // 20
                                                                                                                   //
Identicon.prototype = {                                                                                            // 22
    hash: null,                                                                                                    // 23
    size: null,                                                                                                    // 24
    margin: null,                                                                                                  // 25
                                                                                                                   //
    render: function render() {                                                                                    // 27
        var hash = this.hash,                                                                                      // 28
            size = this.size,                                                                                      //
            margin = Math.floor(size * this.margin),                                                               //
            cell = Math.floor((size - margin * 2) / 5),                                                            //
            image = new PNGlib(size, size, 256);                                                                   //
                                                                                                                   //
        // light-grey background                                                                                   //
        var bg = image.color(240, 240, 240);                                                                       // 35
                                                                                                                   //
        // foreground is last 7 chars as hue at 50% saturation, 70% brightness                                     //
        var rgb = this.hsl2rgb(parseInt(hash.substr(-7), 16) / 0xfffffff, .5, .7),                                 // 38
            fg = image.color(rgb[0] * 255, rgb[1] * 255, rgb[2] * 255);                                            //
                                                                                                                   //
        // the first 15 characters of the hash control the pixels (even/odd)                                       //
        // they are drawn down the middle first, then mirrored outwards                                            //
        var i, color;                                                                                              // 43
        for (i = 0; i < 15; i++) {                                                                                 // 44
            color = parseInt(hash.charAt(i), 16) % 2 ? bg : fg;                                                    // 45
            if (i < 5) {                                                                                           // 46
                this.rectangle(2 * cell + margin, i * cell + margin, cell, cell, color, image);                    // 47
            } else if (i < 10) {                                                                                   // 48
                this.rectangle(1 * cell + margin, (i - 5) * cell + margin, cell, cell, color, image);              // 49
                this.rectangle(3 * cell + margin, (i - 5) * cell + margin, cell, cell, color, image);              // 50
            } else if (i < 15) {                                                                                   // 51
                this.rectangle(0 * cell + margin, (i - 10) * cell + margin, cell, cell, color, image);             // 52
                this.rectangle(4 * cell + margin, (i - 10) * cell + margin, cell, cell, color, image);             // 53
            }                                                                                                      // 54
        }                                                                                                          // 55
                                                                                                                   //
        return image;                                                                                              // 57
    },                                                                                                             // 58
                                                                                                                   //
    rectangle: function rectangle(x, y, w, h, color, image) {                                                      // 60
        var i, j;                                                                                                  // 61
        for (i = x; i < x + w; i++) {                                                                              // 62
            for (j = y; j < y + h; j++) {                                                                          // 63
                image.buffer[image.index(i, j)] = color;                                                           // 64
            }                                                                                                      // 65
        }                                                                                                          // 66
    },                                                                                                             // 67
                                                                                                                   //
    // adapted from: https://gist.github.com/aemkei/1325937                                                        //
    hsl2rgb: function hsl2rgb(h, s, b) {                                                                           // 70
        h *= 6;                                                                                                    // 71
        s = [b += s *= b < .5 ? b : 1 - b, b - h % 1 * s * 2, b -= s *= 2, b, b + h % 1 * s, b + s];               // 72
                                                                                                                   //
        return [s[~ ~h % 6], // red                                                                                // 81
        s[(h | 16) % 6], // green                                                                                  // 83
        s[(h | 8) % 6] // blue                                                                                     // 84
        ];                                                                                                         // 81
    },                                                                                                             // 86
                                                                                                                   //
    toString: function toString() {                                                                                // 88
        return this.render().getBase64();                                                                          // 89
    }                                                                                                              // 90
};                                                                                                                 // 22
                                                                                                                   //
if (Meteor.isServer) {                                                                                             // 93
    (function () {                                                                                                 // 93
        // Because identicons are so simple, we can save a lot of bandwidth by applying compression                //
        // before sending them from the server to the client. The PNG format has built-in support for              //
        // lossless compression, but indenticon.js does not take advantage of it. We could work around             //
        // that fact by roundtripping the PNGs through a more complete library like pngjs, or we could             //
        // just apply gzip on top of the suboptimal PNG. We opt for the latter approach.                           //
        var Zlib = Npm.require("zlib");                                                                            // 99
        var gzipSync = Meteor.wrapAsync(Zlib.gzip, Zlib);                                                          // 100
                                                                                                                   //
        Identicon.prototype.asAsset = function () {                                                                // 102
            return {                                                                                               // 103
                mimeType: "image/png",                                                                             // 104
                content: gzipSync(new Buffer(this.render().getDump(), "binary")),                                  // 105
                encoding: "gzip"                                                                                   // 106
            };                                                                                                     // 103
        };                                                                                                         // 108
    })();                                                                                                          // 93
}                                                                                                                  // 109
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

},"helpers.js":function(){

/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//                                                                                                                 //
// packages/sandstorm-identicons/helpers.js                                                                        //
//                                                                                                                 //
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
                                                                                                                   //
var VALID_USAGES = ["appGrid", "grain"];                                                                           // 1
var checkUsage = function checkUsage(usage) {                                                                      // 2
  if (VALID_USAGES.indexOf(usage) === -1) throw new Error("Invalid icon usage.");                                  // 3
};                                                                                                                 // 4
                                                                                                                   //
var iconFromManifest = function iconFromManifest(manifest, usage) {                                                // 6
  // TODO: select by usage location, rather than assuming appGrid                                                  //
  var icons = manifest && manifest.metadata && manifest.metadata.icons ? manifest.metadata.icons : undefined;      // 8
  if (icons) {                                                                                                     // 10
    if (usage === "appGrid") {                                                                                     // 11
      return icons.appGrid;                                                                                        // 12
    } else if (usage === "grain") {                                                                                // 13
      return icons.grain || icons.appGrid;                                                                         // 14
    }                                                                                                              // 15
  }                                                                                                                // 16
                                                                                                                   //
  return undefined;                                                                                                // 18
};                                                                                                                 // 19
                                                                                                                   //
Identicon.hashAppIdForIdenticon = function (id) {                                                                  // 21
  // "Hash" an app ID to a 32-digit hex string for the purpose of                                                  //
  // producing an identicon. Since app IDs are already high-                                                       //
  // entropy base32 strings, we simply turn each of the first                                                      //
  // 32 digits to base16 by chopping off a bit.                                                                    //
  result = [];                                                                                                     // 26
  var digits16 = "0123456789abcdef";                                                                               // 27
  var digits32 = "0123456789acdefghjkmnpqrstuvwxyz";                                                               // 28
  for (var i = 0; i < 32; i++) {                                                                                   // 29
    result.push(digits16[digits32.indexOf(id[i]) % 16]);                                                           // 30
  }                                                                                                                // 31
                                                                                                                   //
  return result.join("");                                                                                          // 33
};                                                                                                                 // 34
                                                                                                                   //
// Keep a static global cache of all app identicons produced in this way.                                          //
// If memory usage is excessive, we can revisit this decision.                                                     //
var cachedIdenticons = {};                                                                                         // 38
var cachedIdenticon = function cachedIdenticon(hashedAppId, size) {                                                // 39
  var cacheKey = hashedAppId + "-" + size;                                                                         // 40
  if (!cachedIdenticons[cacheKey]) {                                                                               // 41
    var data = new Identicon(hashedAppId, size).toString();                                                        // 42
    cachedIdenticons[cacheKey] = "data:image/png;base64," + data;                                                  // 43
  }                                                                                                                // 44
                                                                                                                   //
  return cachedIdenticons[cacheKey];                                                                               // 46
};                                                                                                                 // 47
                                                                                                                   //
var identiconForApp = function identiconForApp(appId, usage) {                                                     // 49
  var size = usage === "appGrid" ? 128 : 24;                                                                       // 50
  return cachedIdenticon(Identicon.hashAppIdForIdenticon(appId), size);                                            // 51
};                                                                                                                 // 52
                                                                                                                   //
var bytesToBase64 = function bytesToBase64(bytes) {                                                                // 54
  var arr = new Array(bytes.length);                                                                               // 55
  for (var i = 0; i < bytes.length; i++) {                                                                         // 56
    arr[i] = String.fromCharCode(bytes[i]);                                                                        // 57
  }                                                                                                                // 58
  // Note that btoa is not available in IE9.  We may want to polyfill this.                                        //
  var result = btoa(arr.join(""));                                                                                 // 60
  return result;                                                                                                   // 61
};                                                                                                                 // 62
                                                                                                                   //
var iconSrcFor = function iconSrcFor(appId, iconObj, staticHost, usage) {                                          // 64
  if (iconObj === undefined) {                                                                                     // 65
    // Return a identicon src based on hashing appId instead.                                                      //
    // (We hash the appID even though it's already a hash because it's not hex)                                    //
    return identiconForApp(appId, usage);                                                                          // 68
  }                                                                                                                // 69
                                                                                                                   //
  if (iconObj.assetId) {                                                                                           // 71
    var src = window.location.protocol + "//" + staticHost + "/" + iconObj.assetId;                                // 72
    return src;                                                                                                    // 73
  }                                                                                                                // 74
                                                                                                                   //
  if (iconObj.svg) {                                                                                               // 76
    // iconObj.svg is a text string, so we can base64 it directly                                                  //
    // Note that btoa is not available in IE9.  We may want to polyfill this.                                      //
    return "data:image/svg+xml;base64," + btoa(iconObj.svg);                                                       // 79
  }                                                                                                                // 80
                                                                                                                   //
  if (iconObj.png) {                                                                                               // 82
    var png = iconObj.png.dpi2x || iconObj.png.dpi1x;                                                              // 83
    var data = void 0;                                                                                             // 84
    if (png) {                                                                                                     // 85
      // png is a Uint8Array, so we need to convert it to text before calling btoa.                                //
      // Yes, the irony is profound.                                                                               //
      data = bytesToBase64(png);                                                                                   // 88
      return "data:image/png;base64," + data;                                                                      // 89
    }                                                                                                              // 90
  }                                                                                                                // 91
  // We should never reach here, but do something sensible anyway                                                  //
  return identiconForApp(appId, usage);                                                                            // 93
};                                                                                                                 // 94
                                                                                                                   //
Identicon.identiconForApp = function (appId, usage) {                                                              // 96
  return identiconForApp(appId, usage);                                                                            // 97
};                                                                                                                 // 98
                                                                                                                   //
Identicon.iconSrcForPackage = function (pkg, usage, staticHost) {                                                  // 100
  checkUsage(usage);                                                                                               // 101
  // N.B. only works for installed packages, for dev packages use iconSrcForDevPackage                             //
  var iconObj = iconFromManifest(pkg.manifest, usage);                                                             // 103
  return iconSrcFor(pkg.appId, iconObj, staticHost, usage);                                                        // 104
};                                                                                                                 // 105
                                                                                                                   //
Identicon.iconSrcForDevPackage = function (devpkg, usage, staticHost) {                                            // 107
  checkUsage(usage);                                                                                               // 108
  var iconObj = iconFromManifest(devpkg.manifest, usage);                                                          // 109
  return iconSrcFor(devpkg._id, iconObj, staticHost, usage);                                                       // 110
};                                                                                                                 // 111
/////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

}}}}},{"extensions":[".js",".json"]});
require("./node_modules/meteor/sandstorm-identicons/pnglib.js");
require("./node_modules/meteor/sandstorm-identicons/identicon.js");
require("./node_modules/meteor/sandstorm-identicons/helpers.js");

/* Exports */
if (typeof Package === 'undefined') Package = {};
(function (pkg, symbols) {
  for (var s in symbols)
    (s in pkg) || (pkg[s] = symbols[s]);
})(Package['sandstorm-identicons'] = {}, {
  Identicon: Identicon
});

})();

//# sourceMappingURL=sandstorm-identicons.js.map
